/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomWheelEvent_H___INT_
#define __GdomWheelEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomUIEvent.h"
#include "GDOMObject.h"
#include "WheelEvent.h"
G_BEGIN_DECLS
class GDOMWheelEvent : public GDOMUIEvent {
    typedef GDOMUIEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_WHEEL_EVENT; }
    GDOMWheelEvent(PassRefPtr<WebCore::WheelEvent> impl);
};
G_END_DECLS

#endif /* __GdomWheelEvent_H___INT_*/
